Qt 5.7 | Qt 3D | C++ Classes | QPropertyValueRemovedChange

Qt 5.7.1 Reference Documentation

# QPropertyValueRemovedChange Class

(Qt3DCore::QPropertyValueRemovedChange)

Used to notify when a value is added to a property More...

Header: | #include <QPropertyValueRemovedChange>
qmake: | QT += 3dcore
Inherits: | QStaticPropertyValueRemovedChangeBase

- List of all members, including inherited members

## Public Functions

| QPropertyValueRemovedChange(QNodeId subjectId)
| ~QPropertyValueRemovedChange()
QVariant | removedValue() const
void | setRemovedValue(const QVariant &value)

- 2 public functions inherited from Qt3DCore::QStaticPropertyValueRemovedChangeBase
- 4 public functions inherited from Qt3DCore::QSceneChange

## Related Non-Members

typedef | QPropertyValueRemovedChangePtr

## Detailed Description

Used to notify when a value is added to a property

## Member Function Documentation

### QPropertyValueRemovedChange::QPropertyValueRemovedChange(QNodeId subjectId)

Constructs a new QPropertyValueRemovedChange with subjectId.

### QPropertyValueRemovedChange::~QPropertyValueRemovedChange()

Destroys the instance of QPropertyValueRemovedChange.

### QVariant QPropertyValueRemovedChange::removedValue() const

Returns the value removed from the property.

See also setRemovedValue().

### void QPropertyValueRemovedChange::setRemovedValue(const QVariant &value)

Sets the value removed from the property to value.

See also removedValue().

## Related Non-Members

### typedef Qt3DCore::QPropertyValueRemovedChangePtr

A shared pointer for QPropertyValueRemovedChange.